> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/f1/websocket/websocket-sample-data.md).

# WebSocket Sample Data

```json
[
	{
		"id": "965mky5fgzykr1g", // Match id
		"status_id": 100, // Match status，please refer to Status Code -> Match Status
    "laps_completed": 58, // Completed laps count (Race/Sprint Race exists)
		"winner": { // Match Winner
			"player_id": "ypq3n6f00z1nmd7", // Player id
			"team_id": "y8m4z6f3gk0wql0", // Team id
			"car_number": 1, // Car number
			"laps": 58, // Laps count
			"pitstop": 1, // Pitstop count
			"fastest_lap_time": "1:27.625", // Fastest lap time
			"grid": 1, // Grid order (Race/Sprint Race exists)
			"time": "1:26:07.469", // Time (Race/Sprint Race exists)
			"points": 25, // Points (Race/Sprint Race exists)
			"laps_led": 41 // Deprecated field, can ignore
		},
		"competitors": [ // Match competitors
			{
				"player_id": "ypq3n6f00z1nmd7", // Player id
				"team_id": "y8m4z6f3gk0wql0", // Team id
				"position": 1, // Position
				"laps": 58, // Laps count
				"status": 2, // Competitor status, 1. Pit, 2. Finished, 3. Disqualified, 4. Not started, 5. Eliminated, 6. Racing
				"pitstop": 1, // Pitstop count
				"fastest_lap_time": "1:27.625", // Fastest lap time
				"grid": 1, // Grid order (Race/Sprint Race exists)
				"time": "1:26:07.469", // Time (Race/Sprint Race exists)
				"points": 25, // Points (Race/Sprint Race exists)
				"laps_led": 41, // Deprecated field, can ignore
				"car_number": 1, // Car number (Qualifying Details does not exist)
				"interval": "-", // Gap ahead (Qualifying Details does not exist)
				"gap_to_leader": "-" // Gap to leader (Qualifying Details does not exist)
			}
    ]
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/f1/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
